<!DOCTYPE html>
<html id="html">
	<head>
		<meta charset="utf-8" />
        <title>Liste des commandes</title>
		<link rel="stylesheet" type="text/css" href="style/style.css">
		<script type="text/javascript" src="script/scripts.js"></script>
		<script type="text/javascript" src="script/jsweetalert.js"></script>
		<link rel="stylesheet" type="text/css" href="style/style_sweetalert.css">
		<script type="text/javascript" src="script/jsweetalert.js"></script>
		<link rel="stylesheet" type="text/css" href="style/style_sweetalert.css">
    	<?php Include('script/rotation.php'); ?>
	</head>

	<body onload="retourne()"><!-- Il faut ajouter l'appelle a la fonction retourne au chargement de la page pour eviter un bug d'appui sur le bouton -->
		<div id="entete">
			<img src="img/accueil.png" class="bouton_entete" onclick="self.location.href='index.php'">
			<img src="img/rotation.png" class="bouton_entete" onclick="retourne()">
			<p id="titre">
				<!-- Titre de la page affichee dans l'entete -->
				Liste des commandes
			</p>
			<img src="img/aide.png" class="bouton_entete_help" onclick="swal('Aide', 'Ceci est la liste de toutes les commandes à réaliser afin d\'avoir une estimation de l\'heure à laquelle vous allez vous régaler.','info');">
		</div>
		<div id="contenu">
			<!-- Le contenu doit etre écrit ci-dessous -->
			<?php
				error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);
				Include('../database.params.inc.php');
				$link = pg_connect("host=$machine user=$user password=$pwd dbname=$db")or die("Erreur de Connection !<br />".pg_last_error()) ;

				// recup des cmd
				$query = "SELECT DISTINCT num_cmd FROM COMMANDE WHERE etat!='LIVREE' AND etat!='ANNULEE' ORDER BY num_cmd ASC";
				$result = pg_query($link, $query) or die("Erreur SQL !<br />$query<br />".pg_last_error()) ;
				$num = pg_num_rows($result);
				if ($num == 0) {
					echo "<label>Il n'y a pas de commandes en attente</label>";
				} 
				else {
					$i = 0;
					$temps = date("H:i:s");
					echo "<div id='temps'>".$temps."</div><br>";
					while ($i < $num) {
						$num_cmd = pg_fetch_result($result, $i, "num_cmd");

						// recup des info de la cmd en cours
						$query2 = "SELECT DISTINCT id_commande, nom, temps, img, nombre FROM COMMANDE, PRODUIT WHERE num_cmd = '$num_cmd' AND id_produit = conso AND etat!='LIVREE' AND etat!='ANNULEE' ";
						$result2 = pg_query($link, $query2) or die("Erreur SQL !<br />$query<br />".pg_last_error()) ;
						$num2 = pg_num_rows($result2);

						$j = 0;
						$temps_cmd = 0;
						while ($j < $num2) {
							// Calcul du temps
							$temps_produit = pg_fetch_result($result2, $j, "temps");
							$nombre = pg_fetch_result($result2, $j, "nombre");
							$temps_cmd = date("H:i:s", (strtotime($temps_cmd) + ($temps_produit * $nombre)));
							$j++;
						}

						$temps = date("H:i:s", (strtotime($temps)+strtotime($temps_cmd)));
						
						?>
						<table class="aff_cmd">
							<tr>
								<td rowspan="2" class="tab_aff_cmd_time"><?php echo $temps; ?></td>
								<?php
									$k = 0;
									while ($k < $num2) {
										?>
										<td rowspan="2" class="tab_aff_cmd_cont">
											<img src="../carte/<?php echo( pg_fetch_result($result2, $k, "img")); ?>" class="tab_aff_cmd_img">
										</td>
										<?php
										$k++;
									}	
								?>

							</tr>
						</table>
						<br>
						<?php
						$i++;
					}
				}
				//header ("Refresh: 60;");
			?>
		</div>
	</body>
</html>
